<template>
  <layout class="replys">
    <uv-navbar
      :fixed="false"
      title="评价"
      left-arrow
      @leftClick="$onClickLeft"
    />
    <view v-if="replyListData">
      <container>
        <view class="reply-card">
          <reply
            v-for="(item, index) in replyListData"
            :key="index"
            :data="item"
          />
        </view>
      </container>
    </view>
  </layout>
</template>

<script setup>
import { ref } from 'vue'
import { onLoad } from '@dcloudio/uni-app'
import { replyList } from '@/api/goods'


const replyListData = ref([])

const handleGetReplyList = async (id) => {
  const data = await replyList({ id })
  console.log("gxs --> % handleGetReplyList % data:\n", data)
  replyListData.value = data
}

onLoad((option) => {
  handleGetReplyList(option.id)
})



</script>

<style lang="less">
.reply-card {
  margin-top: 20rpx;
}

.replys {
  background: red;
}
</style>
